<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>

</head>
<body>
    <form id="form1" runat="server" autocomplete="on">
        <telerik:RadScriptManager runat="server" ID="RSM1">
            <Scripts>
                <asp:ScriptReference Path="~/Scripts/chroma.min.js" />
            </Scripts>
        </telerik:RadScriptManager>

        <telerik:RadClientDataSource runat="server" ID="DataSource">
            <DataSource>
                <WebServiceDataSourceSettings ServiceType="GeoJSON">
                    <Select Url="JSON/countries-users.geo.json" DataType="JSON" ContentType="application/json" />
                </WebServiceDataSourceSettings>
            </DataSource>
        </telerik:RadClientDataSource>

        <telerik:RadMap runat="server" ID="RadMap1" Zoom="3">
            <CenterSettings Latitude="30.2681" Longitude="-97.7448" />
            <LayersCollection>
                <telerik:MapLayer Type="Shape" ClientDataSourceID="DataSource">
                    <StyleSettings>
                        <FillSettings Opacity="0.7" />
                    </StyleSettings>
                </telerik:MapLayer>
            </LayersCollection>
            <ClientEvents OnShapeCreated="onShapeCreated" OnShapeMouseEnter="onShapeMouseEnter" OnShapeMouseLeave="onShapeMouseLeave" />
        </telerik:RadMap>

        <script type="text/javascript">
            function pageLoad() {
                scale = chroma
                    .scale(["white", "green"])
                    .domain([1, 1000]);
            }

            function onShapeCreated(e) {
                var shape = e.shape;
                var users = shape.dataItem.properties.users;
                if (users) {
                    var color = scale(users).hex();
                    shape.options.fill.set("color", color);
                }
            }

            function onShapeMouseEnter(e) {
                e.shape.options.set("fill.opacity", 1);
            }

            function onShapeMouseLeave(e) {
                e.shape.options.set("fill.opacity", 0.7);
            }
        </script>

    </form>
</body>
</html>




